Subject: Re: [PATCH] gnu: chez-scheme: simplify packaging

From: Philip McGrath <[email-masked]>
Date: Mon, 15 Mar 2021 17:53:50 -0400

Hi,

On 3/15/21 2:28 PM, Leo Prikler wrote:
> Then you should separate this into more than one patch.

Ok, I've split this into three patches and kept nanopass and stex as 
origins. Is it preferred to send them here or to start a new thread?

>> - I think the right thing would be to make chez-stex a
>> public package, instead of the "stex" output of the chez-scheme
>> package, but there are some bootstrapping issues I'll discuss below.
> I agree.  You can use the origin as an input to chez, like we've done
> before, then use the already built chez to compile stex into chez-stex.
> I don't think the latter half needs to be done right now, though, you
> can delay that until you feel more experienced in packaging.

I think I understand (most of) how to do this, but I think I'll put it 
off for now and see how it interacts with my Racket plans. Maybe there 
will be a more elegant bootstrapping solution.

-Philip